Skip to main content
Resource Center/Resource Pool/VM Instance Operations

SetVmMachineType

SetVmMachineType

PUT/zstack/v1/vm-instances/{uuid}/actions

Operation ID

SetVmMachineType

Since

5.5.38

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The VM instance UUID.

Body Fields

  • machineType
    StringRequired

    The target machine type. Only q35 is supported.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns an empty JSON object {}.